#!/bin/bash -l

# This serial script links the WFN files from the MF to the BGW folder.

# First, link all CD files
echo "Linking pseudopotential and charge densities"

cd 1-scf/
mkdir bn.save
cd ../

for directory in {2,3,4}*-*/; do
  echo " Working on directory $directory"
  cd $directory
  mkdir -p bn.save
  ln -sf ../../1-scf/bn.save/charge-density.dat bn.save/charge-density.dat
  ln -sf ../../1-scf/bn.save/data-file-schema.xml bn.save/data-file-schema.xml
  ln -sf ../1-scf/B.UPF .
  ln -sf ../1-scf/N.UPF .
  cd ../
done
echo

echo "Linking WFNs to BGW directory"
cd ../2-bgw/

echo " Working on directory 1.1-epsilon"
cd 1.1-epsilon/
ln -sf ../../1-mf/2.1-wfn/WFN WFN
ln -sf ../../1-mf/2.2-wfnq/WFN WFNq
cd ../

echo " Working on directory 2.1-sigma"
cd 2.1-sigma/
ln -sf ../../1-mf/2.1-wfn/WFN WFN_inner
ln -sf ../../1-mf/2.1-wfn/vxc.dat .
ln -sf ../../1-mf/2.1-wfn/RHO .
cd ..

echo " Working on directory 2.2-inteqp"
cd 2.2-inteqp/
ln -sf ../../1-mf/2.1-wfn/WFN WFN_fi
ln -sf ../../1-mf/2.1-wfn/WFN WFNq_fi
ln -sf ../../1-mf/2.3-wfn_co/WFN WFN_co
cd ../

echo " Working on directory 2.3-inteqp_fullgrid"
cd 2.3-inteqp_fullgrid/
ln -sf ../../1-mf/4-wfn_co_fullgrid/WFN WFN_fi
ln -sf ../../1-mf/2.3-wfn_co/WFN WFN_co
cd ../

echo " Working on directory 3-kernel"
cd 3-kernel/
ln -sf ../../1-mf/2.1-wfn/WFN WFN_co
cd ../

echo " Working on directory 4-absorption"
cd 4-absorption/
ln -sf ../../1-mf/2.1-wfn/WFN WFN_co
ln -sf ../../1-mf/3.1-wfn_fi/WFN WFN_fi
ln -sf ../../1-mf/3.2-wfnq_fi/WFN WFNq_fi

echo "Working on directory 4-absorption/PlotXct"
cd PlotXct
ln -sf ../eigenvectors.h5
ln -sf ../WFN_fi
ln -sf ../WFNq_fi

cd ../../

echo " Working on directory 5.1-kernel_finiteQ"
cd 5.1-kernel_finiteQ/Q_1by12_1by12
ln -sf ../../../1-mf/4-wfn_co_fullgrid/WFN WFN_co
ln -sf ../../../1-mf/4-wfn_co_fullgrid/WFN_copy WFNq_co
cd ../../

echo " Working on directory 5.2-exciton_bandstructure"
cd 5.2-exciton_bandstructure/Q_1by12_1by12
ln -sf ../../../1-mf/4-wfn_co_fullgrid/WFN WFN_co
ln -sf ../../../1-mf/4-wfn_co_fullgrid/WFN_copy WFNq_co
ln -sf ../../../1-mf/4-wfn_co_fullgrid/WFN WFN_fi
ln -sf ../../../1-mf/4-wfn_co_fullgrid/WFN_copy WFNq_fi
cd ../../

echo
echo "Done!"
