# Monolayer Boron Nitride - MF/scf

In this directory we perform a standard SCF calculation and obtain a charge
density which will be used to generate all the other WFNs. We don't have to
worry about k-grids at this point; we just use a k-grid that converges the
total SCF energy.

1. To perform the calculation, just launch `./01-calculate_CD.run`.  This
   calculation should run in less than 30 seconds.

2. Open the input file `in`. How much vacuum is there between periodic images?

   Next, let's make sure that our supercell is large enough. A rule of thumb is
   that 99% of the charge density should be within half the supercell. We will
   compute an appropriate size for the supercell using the script
   `03_calculate_lattice.sh`. We accomplish this by using the post-processing
   utility `pp.x` in Quantum ESPRESSO to output the charge density as a cube
   file. Then, we run the BerkeleyGW program `surface.x`, which generates an
   isosurface of a scalar field and outputs the length along each direction at
   which this isosurface is achieved. Look at the file `surface.inp`. The
   isosurface value defined here is 0.99. Therefore, the script will provide us
   with the minimum supercell c-axis that contains 99% of the charge density.
   This number is reported in bohr.

3. Run `./02-plot_CD.run` to get the charge density as a cube file.

4. Run `./03-calculate_lattice.sh`. Is the vacuum large enough?
