# Monolayer BN - MF/WFNq

In this directory we perform a non-self-consistent (NSCF) mean-field
calculation to generate the occupied Bloch states with a small q-shift needed
to construct the dielectric matrix at a small q-vector. The resulting
wavefunction file will be read as `WFNq` by the Epsilon code.

Follow the following steps:

1. Take a look at the input file `kgrid.inp` for `kgrid.x`. Note the small
   q-shift.

2. Run `./01-get_kgrid.sh` to generate the k-grid. Take a look at the output
   `kgrid.out` and the log `kgrid.log`. How many points does the reduced
   shifted grid have? How does that compare with the number of points on the
   original uniform grid?

3. Copy the k-points in the reduced BZ from `kgrid.out` and put them in the
   Quantum ESPRESSO input file (`in`) in the specified location at the end of
   the file.

4. Run `./02-calculate_wfn.run` to calculate the wavefunctions using Quantum
   ESPRESSO. This should take about 1 minute. These wavefunctions will be
   written to files in Quantum ESPRESSO format, so they will need to be
   converted to BGW format in the next step using the utility `pw2bgw.x`.

5. Take a look at the input file (`pp_in`) for `pw2bgw.x`, our utility that
   converts wavefunctions in Quantum ESPRESSO format to BGW format. Where is
   the q-shift indicated in the input file?

6. Run `./03-convert_wfn.run` to convert the wavefunction file from Quantum
   ESPRESSO to the BerkeleyGW format.
