# Monolayer BN - MF/WFN_fi

In this directory we perform a non-self-consistent (NSCF) mean-field
calculation to generate all of the Bloch states needed for the Absorption
calculation. The resulting wavefunction file will then be read as `WFN_fi` by
the absoprtion code.

Follow the following steps:

1. Take a look at the input file (`kgrid.inp`) for `kgrid.x`, the executable
   that generates our k-grids for NSCF calculations. Note that the grid needs
   to be fine enough to resolve the exciton, so the more localized the exciton
   is in k-space, the finer the grid needs to be.

2. Run `./01-get_kgrid.sh` to generate the k-grid. Take a look at the output
   `kgrid.out` and the log `kgrid.log`.

3. Copy k-points from `kgrid.out` to `in`.

4. Take a look at `in`, the input file for the nscf calculation. How many bands
   are there?

5. Run `./02-calculate_wfn.run` to calculate the wavefunctions using Quantum
   ESPRESSO.  This should take about 2 minutes.

6. Take a look at the input file (`pp_in`) for `pw2bgw.x`.

7. Run `./03-convert_wfn.run` to convert the wavefunction file from Quantum
   ESPRESSO to the BerkeleyGW format.
