# Monolayer BN - MF/wfnq_fi

In this directory we perform a non-self-consistent (NSCF) mean-field
calculation to generate all of the Bloch states with a small q-shift, which are
needed to calculate the velocity matrix elements in Absorption. Only the
occupied states are needed.  The resulting wavefunction file will then be read
as `WFNq_fi` by the absorption code.

Follow the following steps:

1. Take a look at the input file (`kgrid.inp`) for `kgrid.x`. Note that the
   q-shift is applied as a uniform shift. If you want an 0.001 shift along the
   x-direction, your shift in `kgrid.x` should be `0.001*nk_x`, where `nk_x` is
   the number of k-points in the x-direction.

2. Run `./01-get_kgrid.sh` to generate the k-grid. Take a look at the output
   output `kgrid.out` and the log `kgrid.log`.

3. Copy k-points from `kgrid.out` to the correct location in `in`.

4. Run `./02-calculate_wfn.run` to calculate the wavefunctions using Quantum
   ESPRESSO. This should take about 2 minutes.

5. Take a look at the input file (`pp_in`) for `pw2bgw.x`.

6. Run `./03-convert_wfn.run` to convert the wavefunction file from Quantum
   ESPRESSO to the BerkeleyGW format.
