# Monolayer BN - MF/WFN


**THIS IS A STRETCH GOAL!** Return to this directory after completing all other
steps if time permits. We generate the wavefunctions on the full 12 x 12 x 1 k-grid 
(not reduced by symmetries). These wavefunctions will be later used to compute the 
exciton band structure.

Follow the following steps:

1. Take a look at the input file (`kgrid.inp`) for `kgrid.x`, the executable
   that generates our k-grids for NSCF calculations.

   - How is the input file different from 2.1?
   - We arbitrarily shifted the atoms to break all symmteries -- this 
     automatically yields k-points on the full grid.

2. Run `./01-get_kgrid.sh` to generate the k-grid. Take a look at the output
   output `kgrid.out` and the log `kgrid.log`.

3. Copy the k-points in the reduced BZ from `kgrid.out` and put them in the
   Quantum ESPRESSO input file (`in`) in the specified location at the end of
   the file.

4. Run `./02-calculate_wfn.run` to calculate the wavefunctions using Quantum
   ESPRESSO. This should take longer since we now have a lot more k-points. 

5. Take a look at the input file (`pp_in`) for `pw2bgw.x`, our utility that
   converts wavefunctions in Quantum ESPRESSO format to BGW format. 

6. Run `./03-convert_wfn.run` to convert the wavefunction file from Quantum
   ESPRESSO to the BerkeleyGW format.

7. Run `cp WFN WFN_copy` to save another copy for later use in finite-Q BSE.
