#!/bin/bash -l

# This serial script links the epsmat.h5 and bsemat files.

echo "Linking epsmat.h5 files"
for directory in *-*/; do
  # Ignore the "1.1-epsilon/" directory and things that are not directories
  if [[ ( $directory == 1.*-* ) || ! -d $directory ]]; then continue; fi
  if [[ ( $directory == 5.*-* ) || ! -d $directory ]]; then continue; fi
  echo " Working on directory $directory"

  cd $directory
  ln -sf ../1.1-epsilon/epsmat.h5 ./
  ln -sf ../1.1-epsilon/eps0mat.h5 ./
  cd ../
done

cd 2.2-inteqp
ln -sf ../2.1-sigma/eqp1.dat eqp_co.dat
rm eps*
cd ../

cd 2.3-inteqp_fullgrid
ln -sf ../2.1-sigma/eqp1.dat eqp_co.dat
rm eps*
cd ../

cd 4-absorption/
ln -s ../3-kernel/bsemat.h5 ../4-absorption
cd ..

cd 5.1-kernel_finiteQ/Q_1by12_1by12/
ln -sf ../../1.1-epsilon/eps0mat.h5
ln -sf ../../1.1-epsilon/epsmat.h5
cd ../../

cd 5.2-exciton_bandstructure/Q_1by12_1by12/
ln -sf ../../1.1-epsilon/eps0mat.h5
ln -sf ../../1.1-epsilon/epsmat.h5
ln -sf ../../5.1-kernel_finiteQ/Q_1by12_1by12/bsemat.h5 
ln -sf ../../2.3-inteqp_fullgrid/eqp.dat eqp_co.dat
ln -sf ../../2.3-inteqp_fullgrid/eqp.dat eqp_co_q.dat
cd ../../

echo
echo "Done!"
