# Monolayer BN - BGW/Epsilon

In this directory we calculate the RPA dielectric matrix of BN using the
Epsilon code from BerkeleyGW.

Follow the following steps:

1. Populate the list of q-points in `epsilon.inp`. The correct form for each
   q-point is: `qx qy qz factor is_q0`, where `factor` is a factor used to
   divide `qx`, `qy`, and `qz`; and `is_q0` is set to 1 if the q-point is the
   q-point which is close to zero and set to 0 otherwise. This is done because
   the almost zero q-point is read from the `WFNq` file instead of the `WFN`
   file.  The q-points you need are the same as the k-points from
   `1-mf/2.1-wfn/kgrid.out`, except you should replace the point `0.0 0.0 0.0`
   with the small shift you used for `WFNq`.  Example:
   - `0.333333 0.333333 0.0 1.0 0` is the identical to `1.0 1.0 0.0 3.0 0`
   - The zero q-point should be written as: `0.001 0.0 0.0 1.0 1`

2. Make sure you understand the flags in `epsilon.inp`. Since this is a 2D
   system, you should include `cell_slab_truncation` to use a truncated coulomb
   interaction to prevent spurious interactions with periodic images.

3. Run the epsilon calculation using `./01-run_epsilon.run`. This will take
   about 1 minutes.

4. While the calculation is running, take a look at `epsilon.out`, the output
   file. Search for the phrases "Memory available" and "Memory required for
   execution". Does the the calculation have enough memory to run?

