# Monolayer BN - BGW/Sigma

In this directory we calculate the GW quasiparticle energies for BN using the
Sigma code from BerkeleyGW.

Follow the following steps:

1. Notice which files need to be linked.

2. Take a look at `sigma.inp`. Notice the `cell_slab_truncation` flag, which
   indicates that we want to truncate the Coulomb interaction for a 2D slab.
   Make sure you understand all the flags in the input file.
   - Note, in this example we are only calculating 31 k-points, despite the
     fact that the wavefunction contain 109 k-points. To save time, we will
     calculate Sigma for fewer k-points and use BerkeleyGW's interpolation
     utilities to get the rest of the k-points.

3. Run the sigma calculation using `./01-run_sigma.run`. This will take about 5
   minutes.

4. Take a look at your output file. Are there any warnings?

5. Plot the contents of `ch_converge.dat`. Estimate the error in the QP
   energies due to including 92 conduction bands in the summation over bands.
