# Monolayer BN - BGW/Inteqp

**THIS IS A STRETCH GOAL!** Return to this directory after completing all other
steps if time permits.

We will now use inteqp to interpolate the calculated QP energies onto the full 
(not reduced by symetry) 12 x 12 x 1 k-point-grid.

Inteqp requires 4 input files: `eqp_co.dat` (contains the QP
energies), `WFN_co` (wave function with the same k-points as `eqp_co.dat`),
`WFN_fi` (wavefunction to interpolate `eqp_co.dat`), `WFNq_fi` (same as
`WFN_fi`).

Follow the following steps:

1. In this example, you have been provided with a `WFN_co` file calculated on a
   6x6x1 k-grid.  Otherwise, you would have to generate a wavefunction file
   with the same k-points as as `eqp_co.dat` and one more band than the number
   of bands in `eqp_co.dat`. How are the `WFN_fi` and `WFNq_fi` files linked?

2. Take a look at `inteqp.inp`. Notice that no symmetries are used for the fine
   k-grids.  Notice the number of fine bands and coarse bands.

3. Run the inteqp calculation using `./01-run_inteqp.run`. This should take
   less than 1 minute.

4. Take a look at your output file. Are there any warnings? There may be a
   warning related to the interpolation since the same number of coarse and
   fine bands were used. For better interpolation, use more coarse bands than
   fine bands.
