# Monolayer BN - BGW/Kernel

In this directory we calculate the kernel of the Bethe-Salpeter equation (BSE)
using the Kernel code from BerkeleyGW.

Follow the following steps:

1. Take a look at `WFN_co` using `wfn_rho_vxc_info.x`. Should symmetries be
   used to unfold `WFN_co`?

2. Take a look at the input file. Make sure you understand what all the flags
   are for. The number of bands should be less than or equal to the number of
   bands available from the Sigma calculation. Is the number of bands correct?
   Note the `cell_slab_truncation` flag.

3. Run the kernel calculation using `./01-run_kernel.run`. This should take
   about 10 minutes.

4. While the calculation is running, open `kernel.out` and search for the words
   `Memory available` and `Memory required`. Check that there is enough memory
   to run the calculation.
