# Mononlayer BN - BGW/PlotXct

In this directory we plot the real-space wavefunctions of excitons.

Follow the following steps:

1. Take a look at `plotxct.inp`. What is the supercell size? The wavefunction
   in real-space is the Fourier transform of the k-space wavefunction. How is
   the maximum supercell size related to the k-space sampling? 

2. In `plotxct.inp`, where is the hole? Think about whether this is a
   reasonable location to place the hole.

3. Run `./01-run_plotxct.run`. This takes about 1 minute to run.

4. PlotXct outputs the exciton wavefunction in a3Dr format. `volume.py` is a
   utility that can be used to extract the real part, imaginary part, or
   modulus of the wavefunction and convert it to various file formats,
   including XCrySDen and Gaussian CUBE.

   Run `02-display_xsf.sh`. This file converts the a3DR file output from
   PlotXct to XCrySDen `*.xsf` format with the modulus squared of the
   wavefunction as a datagrid.  
   
   To plot the exciton wavefunction, copy the file 'xct.001.abs2.xsf' to your 
   machine: Go to the File Browser panel on the left, navigate to this directory, 
   right-click the file and select 'Download'.
   The xsf file can be visualised using either XCrysDen or 
   VESTA softwares. XCrysden is available at: http://www.xcrysden.org/Download.html, 
   VESTA at: https://jp-minerals.org/vesta/en/download.html

   XCrysDen instructions:
   Run on command line: xcrysden --xsf xct.001.abs2.xsf 
   Alternative to running on command line: launch XCrysDen, navigate to 
   File -> Open Structure -> Open XSF, then select the xsf file.
   To see the exciton wavefunction, go to the `tools` menu and
   select `datagrid`. Press OK. Enter the value 100 into the `Isosurface` box
   in the window that pops up, then press `submit`.
   - Try plotting different isosurfaces.

   VESTA instructions:
   Navigate to File -> Open, then select the xsf file for plotting.
   To change the default isosurface value, navigate to 
   Properties (on the left panel) -> Isosurfaces, then click on the isosurface No. 1 and
   change the 'Isosurface level'.

    - If you have time, rerun PlotXct for different excitonic states or hole
     positions.
