# Monolayer BN - BGW/Absorption

In this directory we interpolate and solve the Bethe-Salpeter equation (BSE)
using the Absorption code from BerkeleyGW.

Follow the following steps:

1. Take a look at `absorption.inp`. Make sure you understand all the flags. 
   - Notice the `cell_slab_truncation` flag being used, since this is a 2D
     system.

2. Look in the directory and identify all the files that need to be linked.

3. Add a link to the quasiparticle energies by typing:

   `ln -sf ../2.2-inteqp/eqp.dat eqp_co.dat`

4. Run the absorption calculation using `./01-run_absorption.run`. This should
   take about 1 minute.

5. Open up `eigenvalues.dat` to look at the exciton eigenvalues. What is the
   lowest energy state? Is it degenerate? What about the next lowest energy
   state? Are they dark or bright?

6. Plot `absorption_eh.dat` and `absorption_noeh.dat`. This can be done using
   gnuplot (or your favorite plotting method). To use gnuplot type:

   ```
   module load gnuplot
   gnuplot
   plot "absorption_eh.dat" w l
   replot "absorption_noeh.dat" w l
   ```

7. How many bound exciton peaks are there? Estimate the binding energy of the
   first exciton by comparing the position of the first peak in the absorption
   spectrum with electron-hole interactions with the onset of the absorption
   spectrum without electron-hole interactions.

8. (Stretch goal) Please go to the PlotXct directory and follow the
   instructions in the `README.md` file to plot the lowest energy exciton in
   real space.
