# Monolayer BN - BGW/Kernel

**THIS IS A STRETCH GOAL!** Return to this directory after completing all other
steps if time permits. 

In this directory we calculate the kernel of the Bethe-Salpeter equation (BSE)
using the kernel code from BerkeleyGW for a finite exciton center of mass momentum,
Q. The kernel computed previously in 3 and 3.1 were for Q = 0.  

We will compute the kernel for exciton center of mass momenta (in crystal coordinates):
Q  = (1/12, 1/12, 0) and Q = (1/2, 0, 0)

NOTE: the Q shift (Qsh) we will specify in the input file is along the OPPOSITE
direction.
(The quantity computed by BGW is \langle vk+Qsh ck | K | v'k'+Qsh ck' \rangle) 

Follow these steps in each of the Q folders: `Q_1by12_1by12` and `Q_1by2_0`:

1. Take a look at `WFN_co` using `wfn_rho_vxc_info.x`. How many k-points do you see? 
   Computing finite Q kernels, currently, require wavefunctions on the full 
   k-point grid (not reduced by symmetries). So number of k-points is equal to 
   12x12x1.
   We additionally link `WFNq_co` to a copy of `WFN_co`. The valence wavefunctions shifted 
   by Q (at k+Qsh) are read from `WFNq_co` and conduction states from `WFN_co`.

2. Take a look at the kernel.inp input file. Notice the new flag to specify the Q shift. 
   Is the Q shift specified commensurate with the wavefunction k-grid? What is the direction 
   of the Q shift versus the exciton center of mass momentum we are interested in computing?
   Would this calculation run for a Q shift of (1/18, 1/18, 0)? 

3. Run the kernel calculation in each Q folder using `./01-run_kernel.run`. 
