# Monolayer BN - BGW/excitonbandstructure

**THIS IS A STRETCH GOAL!** In this directory we obtain the excitation spectrum 
for a finite exciton center of mass momentum, Q, using the Absorption code from BerkeleyGW. 

In addition to 5.1, you MUST run the eqp interpolation step in 2.4 before this step!

By default, the Q=(0,0,0) spectrum is computed by the absorption code. 
These exciton energies are in 4-absorption/eigenvalues.dat. To obtain the 
exciton band structure, we need to compute these energies for different 
exciton center of mass momenta (similar to computing the DFT  
eigenvalues at different k-points in the Brillouin zone to obtain the 
electronic band structure).

We will compute the energies for two exciton center of mass momenta 
(in crystal coordinates):
Q  = (1/12, 1/12, 0) and Q = (1/2, 0, 0)

NOTE: the Q shift we specify in the `absorption.inp` input file is along 
the OPPOSITE direction to the exciton center of mass momentum!

Follow these steps in each of the Q folders: `Q_1by12_1by12` and `Q_1by2_0`:

1. Take a look at `absorption.inp`. We have two new flags:
   `eqp_co_q_corrections`: tells the code to read the eqp corrections for the 
   Q shifted valence bands from a new `eqp_co_q.dat`.
   `exciton_Q_shift`: specifies the Q shift (similar to 5.1). 
   - Are we using symmetries to unfold the wavefunctions? 
   - Notice how the bsemat.h5 files are linked.

2. Look in the directory and notice the new files we linked in addition to the 
   files used to compute the absorption spectrum.

3. Run the absorption calculation using `./01-run_absorption.run`. This should
   take about 1 minute.

4. Open up `eigenvalues.dat` to look at the exciton eigenvalues at the current 
   Q-point. Compare these eigenvalues to Q=0 values in 4-absorption/eigenvalues.dat. 
